/*--------------------------------------------------------------------------
**      EditMem.c            Twin           From:  Twin/controls
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	 controls/EditMem.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/controls/EditMem.c,v 1.4 1999/12/15 08:48:54 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "windowsx.h"
#include "Resources.h"
#include "Module.h"
#include "Edit.h"
#include "kerndef.h"

HMODULE GetModuleFromInstance(HINSTANCE);

EDITMEMORYPROC lpfnEditMemBin = 0;

LRESULT
EditMemoryAPI(HWND hWnd, UINT uAction, WPARAM wParam, LPARAM lParam)
{
    LPEDIT lp;
    HINSTANCE hInst;
    HMODULE hModule;
    MODULEINFO *modinfo = NULL;
    DWORD dwSize;
    HANDLE hHandle;
    LRESULT res;

    if (!(lp = GetLPEdit(hWnd)))
	return (LRESULT)0;
    if (!lp->uSelDS) {
	hInst = (HINSTANCE)GetWindowInstance(hWnd);
	if (hInst) {
	    hModule = GetModuleFromInstance(hInst);
	    modinfo = (MODULEINFO *)GETMODULEINFO(hModule);
	    if (modinfo && modinfo->lpDLL)
		lp->uSelDS = (UINT)modinfo->wDGROUP;
	}
    
	if(modinfo) 
		RELEASEMODULEINFO(modinfo);
    }

    if (lp->uSelDS && lpfnEditMemBin)
        return lpfnEditMemBin(hWnd,uAction,wParam,lParam);

    dwSize = (DWORD)lParam;
    hHandle = (HANDLE)wParam;
    switch (uAction) {
	case EMA_ALLOC:
	    res = (LRESULT)GlobalAlloc(GMEM_MOVEABLE,dwSize);
	    break;
	case EMA_LOCK:
	    res = (LRESULT)GlobalLock(hHandle);
	    break;
	case EMA_UNLOCK:
	    res = (LRESULT)GlobalUnlock(hHandle);
	    break;
	case EMA_FREE:
	    res = (LRESULT)GlobalFree(hHandle);
	    break;
	case EMA_REALLOC:
	    res = (LRESULT)GlobalReAlloc(hHandle,dwSize,GMEM_MOVEABLE);
	    break;
	case EMA_SIZE:
	    res = (LRESULT)GlobalSize(hHandle);
	    break;
	default:
	    res = 0;
	    break;
    }
    return res;
}


/*------------------------- < Full Revision History > ----------------------
** $Log: EditMem.c,v $
** Revision 1.4  1999/12/15 08:48:54  robf
** fixed useless RELEASEINFO function
**
** Revision 1.3  1999/07/08 18:52:50  mwalsh
** Updated Comments
**
**-------------------------------------------------------------------------*/

