/*--------------------------------------------------------------------------
**      WDragLbx.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WDragLbx.h
**
**  Description:DRAGLISTBOX CONTROL
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WDragLbx.h,v 1.2 1999/07/12 15:38:20 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef __WDRAGLISTBOX_H__
#define __WDRAGLISTBOX_H__

#define WDB_ERR_GENERAL					-1
#define WDB_ERR_REGISTERCLASS			-2
#define WDB_ERR_GLOBALALLOC				-3
#define WDB_ERR_GLOBALLOCK				-4
#define	WDB_ERR_LISTCOUNT				-5
#define WDB_ERR_LISTLOCK				-6
#define WDB_ERR_OUTOFRANGE				-7
#define WDB_ERR_LISTCREATE				-8
#define WDB_ERR_NULLPOINTER				-9
#define WDB_ERR_NOSIZE					-10
#define WDB_ERR_LOCALALLOC				-11
#define WDB_ERR_LOCALLOCK				-12
#define WDB_ERR_OUTOFBOUNDS				-13
#define WDB_ERR_LISTINITIALIZE			-14
#define WDB_ERR_LISTINSERT				-15
#define WDB_ERR_LISTDESTROY				-16
#define WDB_ERR_GETDC					-17
#define WDB_ERR_DRAWTEXT				-18
#define WDB_ERR_HEADERINSERT			-19
#define WDB_ERR_LISTDELETE				-20
#define WDB_ERR_CREATEWINDOW			-22
#define WDB_ERR_GETWINPROP			    -23
#define WDB_ERR_SETWINDOWLONG		    -24

#ifndef _WINDOWS
#define WMakeDragList			MakeDragList
#define WLBItemFromPt			LBItemFromPt
#define WDrawInsert			DrawInsert
#else
BOOL WINAPI WMakeDragList ( HWND hwLB );
int WINAPI WLBItemFromPt ( HWND hwLB, POINT pt,BOOL bAutoScroll	);
void WINAPI WDrawInsert ( HWND hwParent, HWND hwLB, int nItem );
#endif

#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: WDragLbx.h,v $
** Revision 1.2  1999/07/12 15:38:20  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/