/*--------------------------------------------------------------------------
**      WTVLBox.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WTVLBox.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WTVLBox.h,v 1.2 1999/07/12 15:38:22 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#define XBMPOFFSET  2

typedef struct {
    UINT        itemID; 
    UINT        itemAction; 
    UINT        itemState; 
    UINT        itemData; 
    RECT        rcItem;
    LPVOID      pTree;

    int         nLevel;
    int         nImage;
    int         nStImage;
    int         nTextHeight;
    int         nLineHeight;
    DWORD       dwConnect;
    LPSTR       pszText;
    SIZE        TextSize;
    BOOL        bHasChild;
    BOOL        bLastKid;
    BOOL        bOpened;
} TVIEWDRAWITEMSTRUCT, *LPTVIEWDRAWITEMSTRUCT;

BOOL
TVEdit_Subclass ( HWND hwLBox );


long
TVLBox_DeleteStringLP ( HWND hWnd, PTVLBOXDATA pLBox, long lIndx );

long
TVLBox_FindStringLP
(
    PTVLBOXDATA     pLBox,
    long            indxStart,
    LPARAM          lParam
);

long
TVLBox_GetCaretIndex ( PTVLBOXDATA pLBox );

long
TVLBox_GetCount ( PTVLBOXDATA pLBox );

long
TVLBox_GetCurSel ( PTVLBOXDATA pLBox );

int
TVLBox_GetHorzExtent ( PTVLBOXDATA pLBox );

int
TVLBox_GetItemHeight ( PTVLBOXDATA pLBox );

long
TVLBox_GetItemRect ( HWND hwTree, PTVLBOXDATA pLBox, long lIndx, LPRECT lprc );

long
TVLBox_GetItemData ( PTVLBOXDATA pLBox, long indx );

long
TVLBox_GetTopIndex ( PTVLBOXDATA pLBox );

void
TVLBox_IGetIndentPoint 
(   
    LPRECT              lprcItm, 
    int                 nLevel, 
    int                 nIndent, 
    LPPOINT             lppt 
);

long
TVLBox_InsertStringLP ( HWND hWnd, PTVLBOXDATA pLBox, long lIndx, LPARAM lParam );

BOOL
TVLBox_IPtInBtn ( LPPOINT lppt, int x, int y );

long
TVLBox_ItemFromPoint ( HWND hwTree, PTVLBOXDATA pLBox, int x, int y );

void 
TVLBox_OnDrawItem(HWND  hwnd, LPTVIEWDRAWITEMSTRUCT  lptvdi );

void
TVLBox_OnHScroll ( HWND hWnd, int iCode, int iPos );

void
TVLBox_OnVScroll ( HWND hWnd, int iCode, int iPos );

BOOL
TVLBox_SetCurSel ( HWND hWnd, TREEVIEWDATA*	pthis, long indx, UINT uAction, LPPOINT ppt );

int
TVLBox_SetDropHilite ( HWND hWnd, TREEVIEWDATA*	pthis, long indx );

void
TVLBox_SetHorzExtent ( HWND hWnd, PTVLBOXDATA pLBox, int extent );

long
TVLBox_SetTopIndex ( PTVLBOXDATA pLBox, long lTopIndx );

/*------------------------- < Full Revision History > ----------------------
** $Log: WTVLBox.h,v $
** Revision 1.2  1999/07/12 15:38:22  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/