/*--------------------------------------------------------------------------
**      WToolbar.c                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WToolbar.c
**
**  Description:TOOLBAR CONTROL
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WToolbar.h,v 1.4 1999/12/27 09:28:53 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef __WTOOLBARCONTROL_H__
#define __WTOOLBARCONTROL_H__

#define WTLB_ERR_GENERAL					-1
#define WTLB_ERR_REGISTERCLASS			-2
#define WTLB_ERR_GLOBALALLOC				-3
#define WTLB_ERR_GLOBALLOCK				-4
#define	WTLB_ERR_LISTCOUNT				-5
#define WTLB_ERR_LISTLOCK				-6
#define WTLB_ERR_OUTOFRANGE				-7
#define WTLB_ERR_LISTCREATE				-8
#define WTLB_ERR_NULLPOINTER				-9
#define WTLB_ERR_NOSIZE					-10
#define WTLB_ERR_LOCALALLOC				-11
#define WTLB_ERR_LOCALLOCK				-12
#define WTLB_ERR_OUTOFBOUNDS				-13
#define WTLB_ERR_LISTINITIALIZE			-14
#define WTLB_ERR_LISTINSERT				-15
#define WTLB_ERR_LISTDESTROY				-16
#define WTLB_ERR_GETDC					-17
#define WTLB_ERR_DRAWTEXT				-18
#define WTLB_ERR_HEADERINSERT			-19
#define WTLB_ERR_LISTDELETE				-20
#define WTLB_ERR_CREATEWINDOW			-22
#define WTLB_ERR_GETWINPROP			-23
#define WTLB_ERR_GETNAVIGATOR			-24

#ifdef _WINDOWS

#define WTOOLBARCLASSNAME			"WToolbarWindow32"

#else /* ifdef _WINDOWS */
#define WTOOLBARCLASSNAME			TOOLBARCLASSNAME
#define WCreateToolbarEx			CreateToolbarEx
#endif

#endif

typedef struct {
	UINT cbSize;
	DWORD	dwMask;
	int	idCommand;
	int	iImage;
	BYTE	fsState;
	BYTE	fsStyle;
	WORD	cx;
	DWORD	lParam;
	LPTSTR	pszText;
	int	cchText;
} TBBUTTONINFO;

#define TBIF_IMAGE	0x0001
#define TBIF_TEXT	0x0002
#define TBIF_STATE	0x0004
#define TBIF_STYLE	0x0008
#define TBIF_LPARAM	0x0010
#define TBIF_COMMAND	0x0020
#define TBIF_SIZE	0x0040

/*------------------------- < Full Revision History > ----------------------
** $Log: WToolbar.h,v $
** Revision 1.4  1999/12/27 09:28:53  robf
** moved to commctrl
**
** Revision 1.3  1999/11/29 05:52:34  robf
** added new toolbar messages
**
** Revision 1.2  1999/07/12 15:38:23  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/
