/*--------------------------------------------------------------------------
**      <fname>                 Twin           From:  Twin/dlls/lzexpand
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**       
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/lzexpand/
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/lzexpand/LZExpandBin.c,v 1.2 1999/07/12 19:35:30 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#define NOAPIPROTO
#include "windows.h"

#include "WinDefs.h"
#include "kerndef.h"
#include "Endian.h"
#include "Log.h"
#include "Kernel.h"
#include "Resources.h"
#include "DPMI.h"
#include "BinTypes.h"
#include "ModTable.h"

 /* Entry Table LZEXPAND: */

extern long int Trap();
extern long int LZCopy();
extern long int LZOpenFile();
extern long int LZInit();
extern long int LZSeek();
extern long int LZRead();
extern long int LZClose();
extern long int LZStart();
extern long int CopyLZFile();
extern long int LZDone();
extern long int GetExpandedName();

#if defined (TWIN_BIN16)
/* Interface Segment Image LZEXPAND: */
extern long int IT_2H();
extern long int IT_OPENFILE();
extern long int IT_1H1L1I();
extern long int IT_LREADWR();
extern long int IT_1H();
extern long int IT_V();
extern long int IT_2LP();

static long int (*seg_image_LZEXPAND_0[])() =
{	/* nil */	0, 0,
	/* 001 */	IT_2H,		LZCopy,
	/* 002 */	IT_OPENFILE,	LZOpenFile,
	/* 003 */	IT_1H,		LZInit,
	/* 004 */	IT_1H1L1I,	LZSeek,
	/* 005 */	IT_LREADWR,	LZRead,
	/* 006 */	IT_1H,		LZClose,
	/* 007 */	IT_V,		LZStart,
	/* 008 */	IT_2H,		CopyLZFile,
	/* 009 */	IT_V,		LZDone,
	/* 00a */	IT_2LP,		GetExpandedName,
	0
};
#endif

 /* Segment Table LZEXPAND: */

SEGTAB SegmentTableLZEXPAND[] =
{	
#if defined(TWIN_BIN16)
	{ (char *) seg_image_LZEXPAND_0, 80, TRANSFER_CALLBACK, 80, 0, 0 },
#endif
	/* end */	{ 0, 0, 0, 0, 0, 0 }
};

/*------------------------- < Full Revision History > ----------------------
** $Log: LZExpandBin.c,v $
** Revision 1.2  1999/07/12 19:35:30  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/