/*--------------------------------------------------------------------------
**      Shell_NotifyIcon.c                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/shell32/Shell_NotifyIcon.c
**	
**  Description:
**      This file implements the Shell_NotifyIcon call.
**		
**  Functions defined:
**      Shell_NotifyIcon.c
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/shell32/Shell_NotifyIcon.c,v 1.1 1999/08/03 15:28:20 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <windows.h>      // FIXME - MS Headers no longer require windows.h
#include <shellapi.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "Log.h"

/*------< Function Shell_NotifyIcon >------------------------------------------
**
**  Description:
**      Unclear.  In Windows, this sends a message to the taskbar's status
**  area.
**		
**  Parameters:
**      1.  dwMessage         Message to send
**      2.  pnid              Notify data
**
**  Returns:
**      TRUE success, FALSE otherwise
**    
**--------------------------------------------------------------------------*/
int Shell_NotifyIcon(DWORD dwMessage, PNOTIFYICONDATA pnid)
{
    APISTR((LF_APISTUB, "Shell_NotifyIcon\n"));
    return(FALSE);
}

/*------------------------- < Full Revision History > ----------------------
** $Log: Shell_NotifyIcon.c,v $
** Revision 1.1  1999/08/03 15:28:20  jwhite
** Added new dll with stubs.
**
** Revision 1.2  1999/07/15 17:37:21  mwalsh
** Test update
**
**
**-------------------------------------------------------------------------*/


