/*--------------------------------------------------------------------------
**      debugger.c                 Twin           From:  Twin/dlls/toolhelp
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/toolhelp/debugger.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/toolhelp/debugger.c,v 1.2 1999/07/12 19:35:44 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

void
info_modules()
{
    MODULEENTRY me;

    if (!ModuleFirst(&me))
    {
	fprintf(debug_outfp, "No modules.\n");
	return;
    }

    fprintf(debug_outfp, "HANDLE NAME                 SIZE     EXE PATH\n");

    do
    {
	fprintf(debug_outfp, "%04x   %-20s %08x",
		me.hModule, me.szModule, (unsigned int) me.dwSize);
	if (me.szExePath[0])
	    fprintf(debug_outfp, " %40s\n", me.szExePath);
	else
	    fprintf(debug_outfp, "\n");

	me.szExePath[0] = '\0';
    }
    while (ModuleNext(&me));
}

/*------------------------- < Full Revision History > ----------------------
** $Log: debugger.c,v $
** Revision 1.2  1999/07/12 19:35:44  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/