/*--------------------------------------------------------------------------
**      DrvText.h             Twin           From:  Twin/graphics/x11drv
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	graphics/x11drv/DrvText.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/graphics/x11drv/DrvText.h,v 1.2 1999/07/08 18:53:33 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <X11/Xlib.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

/****************************************************************************
 * Driver Dependent Font Declaration
 * Per Fontface information
 *     	Each of Bold/Normal Italic/Normal have a font list
 *	If height is 0, then this is scalable...
 *	We should add underline/strikethrough and height of bar
 *	
 *	
 ****************************************************************************/
typedef struct tagDRVFONTDATA {
    	UINT		uiFontType;	
	int   		fmheight;	/* what is the height */
	char           *fmstring;	/* what string to load for this font */
	char	       *format;		  /* string to get format            */
	int		aspectx,aspecty;  /* font aspect of font, 75 vs. 100 */
	int		internalleading;  /* point vs. ascent + descent      */ 

	/* display device specific corollaries 				     */
    	Font		Font;		/* device dependent font     */
    	XFontStruct    *finfo;		/* device dependent fontinfo */

	/* windows specific corollaries 				     */
    	LOGFONT		LogFont;	/* the logfont that got us here      */
	NEWTEXTMETRIC  *ntm;		/* new text metrics saved data       */
	struct tagFontInfo    *fp;	/* pointer to base */
	struct tagDRVFONTDATA *fmnext;	/* the next one...    */
} DRVFONTDATA, *LPDRVFONTDATA;

/****************************************************************************
 * Driver Dependent Font Declaration
 * Fontface information
 ****************************************************************************/
typedef struct tagFontInfo {
	struct tagFontInfo *fontnext;
	int		    fontflag;	 /* constant/proportional, 	*/
					 /* serif/sans serif,		*/
					 /* aliased, scalable  		*/
    	UINT		    uiFontType;	
	int		    fontminmax;	 /* DWORD(minimum,maximum) size */
	char 		   *fontface;	 /* the fontface for this group */
	DRVFONTDATA	   *fontinfo[4]; /* one each for bold italics ... */
} DPYFONTINFO;

/* font mapper flags, defined in  [windows]        */
/*				  fontmapper=value */
/*				  low byte is error to enable scaling */


/*------------------------- < Full Revision History > ----------------------
** $Log: DrvText.h,v $
** Revision 1.2  1999/07/08 18:53:33  mwalsh
** Updated to Standard Header and Footer comments
**
**-------------------------------------------------------------------------*/