/*--------------------------------------------------------------------------
**      direct.h                 Twin           From:  Twin/include
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	include/direct.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/direct.h,v 1.2 1999/07/12 21:13:44 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



#ifndef DIRECT_H
#define	DIRECT_H

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <unistd.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/


/*
 *  Various MSC definitions expected in this file.
 */
int _chdrive(int drive);
char *_getdcwd(int drive, char *buff, int buflen);
int _getdrive(void);

/*
 *  Map various MSC-flavor ANSI names onto standard names.
 */
#define _chdir chdir
#define _getcwd getcwd
#define _mkdir mkdir
#define _rmdir rmdir

#endif /* DIRECT_H */

/*------------------------- < Full Revision History > ----------------------
** $Log: direct.h,v $
** Revision 1.2  1999/07/12 21:13:44  mwalsh
** Updated comments to utilize standard header and footer
**
**-------------------------------------------------------------------------*/
