/*--------------------------------------------------------------------------
**      Net.h                 Twin           From:  Twin/include
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	include/Net.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/twine/Net.h,v 1.2 2000/01/28 07:55:42 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/




#ifndef Net__h
#define Net__h

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#define	WNNC_SPEC_VERSION			0x0001

#define	WNNC_NET_TYPE				0x0002

#define		WNNC_NET_None			0x0000
#define		WNNC_NET_MSNet			0x0100
#define		WNNC_NET_LanMan 		0x0200
#define		WNNC_NET_NetWare		0x0300
#define		WNNC_NET_Vines			0x0400

#define	WNNC_DRIVER_VERSION			0x0003

#define	WNNC_USER				0x0004

#define		WNNC_USR_GetUser		0x0001

#define	WNNC_CONNECTION 			0x0006

#define		WNNC_CON_AddConnection		0x0001
#define		WNNC_CON_CancelConnection	0x0002
#define		WNNC_CON_GetConnections 	0x0004

#define	WNNC_PRINTING				0x0007

#define		WNNC_PRT_OpenJob		0x0002
#define		WNNC_PRT_CloseJob		0x0004
#define		WNNC_PRT_GetQueue		0x0008
#define		WNNC_PRT_HoldJob		0x0010
#define		WNNC_PRT_ReleaseJob		0x0020
#define		WNNC_PRT_CancelJob		0x0040
#define		WNNC_PRT_SetJobCopies		0x0080
#define		WNNC_PRT_WatchQueue		0x0100
#define		WNNC_PRT_UnwatchQueue		0x0200
#define		WNNC_PRT_LockQueueData		0x0400
#define		WNNC_PRT_UnlockQueueData	0x0800
#define		WNNC_PRT_ChangeMsg		0x1000
#define		WNNC_PRT_AbortJob		0x2000
#define		WNNC_PRT_NoArbitraryLock	0x4000
#define		WNNC_PRT_WriteJob		0x8000

#define	WNNC_DEVMODE				0x0008

#define		WNNC_DEV_Devmode		0x0001

#define	WNNC_ERROR				0x000a

#define		WNNC_ERR_GetError		0x0001
#define		WNNC_ERR_GetErrorInfo		0x0002

#define	WNNC_BROWSE				0x000b

#define		WNNC_BRW_BrowseDialog		0x0001

/* prototypes */

WORD WINAPI WNetGetUser(LPCSTR,LPSTR, LPWORD);

#endif /* Net__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Net.h,v $
** Revision 1.2  2000/01/28 07:55:42  robf
** added param to wnetgetuser
**
** Revision 1.1  1999/07/15 17:56:55  jwhite
** Moved files that are not clearly a part of the Win32 API specification
** out of the main include directory into a 'twine' subdirectory.
** This is going to allow us to more readily integrate Wine include files.
**
** Revision 1.2  1999/07/12 21:13:43  mwalsh
** Updated comments to utilize standard header and footer
**
**-------------------------------------------------------------------------*/

