/*--------------------------------------------------------------------------
**      inifile.h                 Twin           From:  Twin/include
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright (c) 1995-1996, Willows Software Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	include/inifile.h
**
**  Description:TWINHELP.INI file reading and writing routines
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/twine/inifile.h,v 1.1 1999/07/15 17:56:55 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


#ifndef INIFILE_H
#define INIFILE_H

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <windows.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/



/***********************************
**
**  Shared defines
**
***********************************/

#define MAX_MAGCURSOR_STRING      30


/***********************************
**
**  Shared functions
**
***********************************/

void __far __pascal ReadINIMaxHistory( WORD __far * wMaxHistory );

void __far __pascal ReadINIMaxBack( WORD __far * wMaxBack );

BOOL __far __pascal ReadLastMainWndPos( WINDOWPLACEMENT __far * WndPlacePtr );
void __far __pascal WriteLastMainWndPos( WINDOWPLACEMENT __far * WndPlacePtr );

BOOL __far __pascal ReadLastCopyWndPos( WINDOWPLACEMENT __far * WndPlacePtr );
void __far __pascal WriteLastCopyWndPos( WINDOWPLACEMENT __far * WndPlacePtr );

void __far __pascal ReadINIHotSpotColor( COLORREF __far * HotSpotColor );
void __far __pascal ReadScrollBGColor( COLORREF __far * ColorRefPtr );
void __far __pascal ReadNonScrollBGColor( COLORREF __far * ColorRefPtr );

void __far __pascal ReadINIMagCursorName( char __far * szCursorName );

#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: inifile.h,v $
** Revision 1.1  1999/07/15 17:56:55  jwhite
** Moved files that are not clearly a part of the Win32 API specification
** out of the main include directory into a 'twine' subdirectory.
** This is going to allow us to more readily integrate Wine include files.
**
** Revision 1.2  1999/07/12 21:13:44  mwalsh
** Updated comments to utilize standard header and footer
**
**-------------------------------------------------------------------------*/
                                                            