/*--------------------------------------------------------------------------
**      winmaptypes.h                 Twin           From:  Twin/include
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	include/winmaptypes.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/twine/winmaptypes.h,v 1.1 1999/07/15 17:56:56 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


#ifndef __winmaptypes__
#define __winmaptypes__

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/


#define _huge
#define _far
#define __far
#define far
#define _pascal
#define _export
#define __export
#define pascal
#define _near
#define near
#define _cdecl
#define __cdecl
#define cdecl
#define	__stdcall
#define _declspec(impexp)
#define __declspec(impexp)

/* Common definitions *****************************************/
#define VOID        void
#define CONST       const

#ifndef FAR
#define FAR         _far
#endif
#ifndef NEAR
#define NEAR        _near
#endif
#ifndef PASCAL
#define PASCAL      _pascal
#endif
#ifndef CDECL
#define CDECL       _cdecl
#endif

#define WINAPI      _far _pascal    /* use this tag for APIs defined by MS */
#define TWINAPI     _far _pascal    /* use this tag for our public extensions */
#define CALLBACK    _far _pascal
#define	APIENTRY

#ifndef TWIN_BOOL_DEFINED
typedef int		BOOL;
#endif	/* TWIN_BOOL_DEFINED */

#ifndef TWIN_SHORT_DEFINED
typedef short int	SHORT;
#endif	/* TWIN_SHORT_DEFINED */

#ifndef TWIN_USHORT_DEFINED
typedef unsigned short	USHORT;
#endif	/* TWIN_USHORT_DEFINED */

#ifndef TWIN_INT_DEFINED
typedef int		INT;
#endif	/* TWIN_INT_DEFINED */

#ifndef TWIN_UINT_DEFINED
typedef unsigned int	UINT;
#endif	/* TWIN_UINT_DEFINED */

#ifndef TWIN_LONG_DEFINED
typedef signed long         LONG;
#endif	/* TWIN_LONG_DEFINED */

#ifndef TWIN_ULONG_DEFINED
typedef unsigned long	ULONG;
#endif	/* TWIN_ULONG_DEFINED */

typedef BOOL BOOL32;

typedef LONG __int64;
#endif /* __winmaptypes__ */

/*------------------------- < Full Revision History > ----------------------
** $Log: winmaptypes.h,v $
** Revision 1.1  1999/07/15 17:56:56  jwhite
** Moved files that are not clearly a part of the Win32 API specification
** out of the main include directory into a 'twine' subdirectory.
** This is going to allow us to more readily integrate Wine include files.
**
** Revision 1.3  1999/07/12 21:13:45  mwalsh
** Updated comments to utilize standard header and footer
**
**-------------------------------------------------------------------------*/
