/*--------------------------------------------------------------------------
**      winsock.h                 Twin           From:  Twin/include
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	include/winsock.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/winsock.h,v 1.5 1999/09/08 16:04:52 jsheets Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



 

#ifndef WINSOCK__H
#define WINSOCK__H

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <string.h>
#include <WinMalloc.h>
#include <time.h>
#include <sys/types.h>
#ifdef TWIN_WINSOCK
#include <netinet/in.h> 
#include <sys/socket.h>
#include <netdb.h>
#if defined HAVE_IOCTLS_H
    #include <ioctls.h>
#endif
#endif
#include <unistd.h>
#include <fcntl.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "WSA.h"

#ifndef MAXGETHOSTSTRUCT 
#define MAXGETHOSTSTRUCT 1024
#endif

#if ! defined (ioctlsocket)
    #define ioctlsocket(s, cmd, argp) ioctl(s, cmd, argp)
#endif

#if ! defined(closesocket)
    #define closesocket(s) close(s)
#endif

#endif  /*WINSOCK*/

/*------------------------- < Full Revision History > ----------------------
** $Log: winsock.h,v $
** Revision 1.5  1999/09/08 16:04:52  jsheets
** Added conditional check for ioctls.h
**
** Revision 1.4  1999/07/31 02:36:36  jwhite
** Added definitions for ioctlsocket and closesocket
**
** Revision 1.3  1999/07/12 21:13:45  mwalsh
** Updated comments to utilize standard header and footer
**
**-------------------------------------------------------------------------*/
