/*--------------------------------------------------------------------------
**      dos_error.h                 Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1995-1996 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/dos_error.h
**
**  Description:
**      
**
**  Functions defined:definitions of standard dos error codes
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/dos_error.h,v 1.2 1999/07/08 21:30:37 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

/*******************************************
**
**	dos error codes
**
********************************************/

/* By coincidence, windows.h defines NO_ERROR as 0 */

#if 0
#define NO_ERROR			0x00
#endif

#define	INVALID_FUNCTION		0x01
#define	FILE_NOT_FOUND			0x02
#define	PATH_NOT_FOUND			0x03
#define	NO_HANDLES			0x04
#define	ACCESS_DENIED			0x05
#define	INVALID_HANDLE			0x06
#define	MEMORY_DESTROYED		0x07
#define	INSUFFICIENT_MEMORY		0x08
#define	INVALID_ADDRESS			0x09
#define	INVALID_ENVIRONMENT		0x0a
#define	INVALID_FORMAT			0x0b
#define	INVALID_ACCESS			0x0c
#define	INVALID_DATA			0x0d
#define	INVALID_DRIVE			0x0f
#define	REDIR_OFF_SERVER		0x10
#define	NOT_SAME_DEVICE			0x11
#define	NO_MORE_FILES			0x12
#define SEEK_ERROR            		0x19
#define	SHARING_VIOLATION		0x20
#define	LOCK_VIOLATION			0x21
#define SHARE_BUF_EXCEED      		0x24
#define	NETWORK_REQUEST_UNSUPPORTED	0x32
#define	FILE_EXISTS			0x50
#define	CANNOT_MAKE_DIRECTORY_ENTRY	0x52
#define	FAIL_ON_INT24			0x53
#define	TOO_MANY_REDIRECTIONS		0x54
#define	DUPLICATE_REDIRECTION		0x55
#define	INVALID_PASSWORD		0x56
#define	INVALID_PARAMETER		0x57
#define NOV_TIMEOUT			0xfe
#define NOV_LOCK_FAILURE		0xff

/*------------------------- < Full Revision History > ----------------------
** $Log: dos_error.h,v $
** Revision 1.2  1999/07/08 21:30:37  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/