/*--------------------------------------------------------------------------
**      fat_access.c                 Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1997 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/fat_access.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/fat_access.c,v 1.2 1999/07/08 21:30:38 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "platform.h"
#include "fat_tools.h"

int
dos_access(char *filename, unsigned int *attribute, int operation)
{
	struct DirEntry Dir;
	long	EntryAddress;
	int	rc;

    	if (DosExist(filename, &Dir, &EntryAddress) < 0)
		return(-1);
	if ( operation == GET_ATTRIBUTE) {
		*attribute = Dir.Attrib;
		return (0);
	} else if (operation == SET_ATTRIBUTE) {
		Dir.Attrib = *attribute;
		lseek(DiskHandle, EntryAddress, SEEK_SET);
		rc = write(DiskHandle, &Dir, 32);
		if(rc <0) 
			ERRSTR(LF_ERROR,"write error #12\n");
		return (0);
	}
		
}

/*------------------------- < Full Revision History > ----------------------
** $Log: fat_access.c,v $
** Revision 1.2  1999/07/08 21:30:38  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/