/*--------------------------------------------------------------------------
**      dlfcn.c                 Twin           From:  Twin/osdll
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	osdll/dlfcn.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/osdll/dlfcn.c,v 1.2 1999/07/13 20:17:17 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"

#if defined(HAVE_DLFCN_H)
/* This platform supports dlopen, dlsym functions and does therefore
 * NOT need other implementations.
 */
#else

#include "twindlfcn.h"

#if defined(hpux)

#include <dl.h>

void * dlopen(const char * dlname, int dlflag)
{
  int shlflag;
  /*if (dlflag & (RTLD_LAZY|RTLD_NOW)) return NULL;*/
  if (dlflag & RTLD_LAZY) shlflag |= BIND_DEFERRED;
  if (dlflag & RTLD_NOW)  shlflag |= BIND_IMMEDIATE;
  shlflag |= DYNAMIC_PATH;

  return ((void *) (shl_t) shl_load((const char*) dlname, (int) shlflag,
0L));
}

void * dlsym(void * dlhandle, const char * sname)
{
  void *adress;
  void* shlhandle;

  shlhandle = dlhandle;
  if (dlhandle == RTLD_NEXT)
    shlhandle = NULL;

  if (shl_findsym((shl_t*) &shlhandle, (const char*) sname, TYPE_UNDEFINED,
 &adress))
    return NULL;
  else
    return (void*) adress;
}

int dlclose(void * dlhandle)
{
  void* shlhandle;
  shlhandle = dlhandle;

  return (shl_unload((shl_t) shlhandle));
}



#else
#error This platform does not support dynamic linking.
#endif

#endif // TWIN_HASDLFCN
