/*--------------------------------------------------------------------------
**      prnsetup.h                 Twin           From:  Twin/programs/prnsetup
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/prnsetup/prnsetup.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/prnsetup/prnsetup.h,v 1.2 1999/07/13 20:17:19 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/


/* Status of the Exit button */
#define	CANCEL			0
#define	CLOSE			1

#define	BUFFER_SIZE		128
#define	MAX_PORT_NUM		64
#define	MAX_DEV_NUM		64

typedef struct {
	int	flags;
	char	*p1;
	char	*p2;
} ADDSTRUCT;
typedef	ADDSTRUCT	*PADDSTRUCT;
typedef	ADDSTRUCT FAR	*LPADDSTRUCT;

#define	ADD_PRINTER		1
#define	ADD_PORT		2
#define	ADD_ALIAS		3
#define NEW_PRINTER		4

#define	STR_CAPTION		0x100
#define	STR_EDIT		0x200

void GetDevPort(ADDSTRUCT*, char*);
void UpdateDefaultPrinter(HWND, HWND, int);
void ChangeExitStatus(HWND, int*);
int AddDialogBox(HWND, ADDSTRUCT *);

/* Exported function (WndProcs) */
LRESULT FAR PASCAL InvisibleWndProc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK PrintersDlgProc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK ConnectDlgProc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK AddDlgProc(HWND, UINT, WPARAM, LPARAM);

/*------------------------- < Full Revision History > ----------------------
** $Log: prnsetup.h,v $
** Revision 1.2  1999/07/13 20:17:19  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/
