/*--------------------------------------------------------------------------
**      memory.c                 Twin           From:  Twin/programs/twinview/tvlib
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/twinview/tvlib/memory.c
**
**  Description:Memory Functions
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/twinview/tvlib/memory.c,v 1.2 1999/07/13 20:17:26 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <windows.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "tvlibprv.h"







/*************************************

*

*  Allocate global memory of a certain size and trap error.

*

**************************************/

BOOL __far __pascal GlobalAllocMem( HWND hWnd, HGLOBAL __far * hGlobal, DWORD dwSize  )

{

  /* Allocate memory for menu list. */

  *hGlobal = GlobalAlloc ( GHND, dwSize ) ;

                              

  /* Error retrieving memory. */

  if ( *hGlobal == NULL ) 

  {

    MessageBox( hWnd, (LPSTR)"GlobalAlloc() failed!", (LPSTR)"Memory Functions", MB_ICONHAND | MB_OK );

    return FALSE;

  }



  /* Return it. */

  return TRUE;

}





/*************************************

*

*  Reallocate global memory of a certain size and trap error.

*

**************************************/

BOOL __far __pascal GlobalReAllocMem( HWND hWnd, HGLOBAL __far * hGlobal, DWORD dwNewSize  )

{

  /* Allocate memory for menu list. */

  *hGlobal = GlobalReAlloc( *hGlobal, dwNewSize, GHND ) ;

                              

  /* Error retrieving memory. */

  if ( *hGlobal == NULL ) 

  {

    MessageBox( hWnd, (LPSTR)"GlobalAlloc() failed!", (LPSTR)"Memory Functions", MB_ICONHAND | MB_OK );

    return FALSE;

  }



  /* Return it. */

  return TRUE;

}

/*------------------------- < Full Revision History > ----------------------
** $Log: memory.c,v $
** Revision 1.2  1999/07/13 20:17:26  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/

