/*--------------------------------------------------------------------------
**      helplist.h                 Twin           From:  Twin/programs/twinview/twinhelp
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/twinview/twinhelp/helplist.h
**
**  Description:Help Window List Functions' Include File
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/twinview/twinhelp/helplist.h,v 1.2 1999/07/13 16:39:43 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


#ifndef HELPLIST_H

#define HELPLIST_H




/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <windows.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/




/*************************************

*

*  Window List Structure

*

**************************************/

typedef GLOBALHANDLE HWNDINFO;

typedef struct tagWNDINFO

{

  HWND hAppWnd;

  HWND hHelpWnd;

  HWNDINFO Next;

}

WNDINFO;

typedef WNDINFO __far * FPWNDINFO;







/*************************************

*

*  A help window has been opened.

*  Insert the new window's info into 

*  a help window info. list.

*                  

**************************************/

BOOL __far __pascal SaveAppWndInfo

( 

  HWND hErrorWnd, 

  HWNDINFO __far * hFirstWndInfo, 

  HWND hAppWnd, 

  HWND hHelpWnd 

);







/*************************************

*

*  Get an app. window's help window.

*                  

**************************************/

HWND __far __pascal GetAppsHelpWnd

( 

  HWNDINFO hFirstWndInfo, 

  HWND hAppWnd 

);







/*************************************

*

*  Remove and free an app window's

*  info. from a window list.

*                  

**************************************/

BOOL __far __pascal DeleteAppWndInfo

( 

  HWNDINFO __far * hFirstWndInfo, 

  HWND hAppWnd 

);







/*************************************

*

*  Removes and frees ALL window info. 

*  structures from a window info. list.

*                  

**************************************/

void __far __pascal DeleteAllWndInfo( HWNDINFO __far * hFirstWndInfo );







#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: helplist.h,v $
** Revision 1.2  1999/07/13 16:39:43  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/