/*--------------------------------------------------------------------------
**      portable.c                 Twin           From:  Twin/programs/twinview/twinhelp
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/twinview/twinhelp/portable.c
**
**  Description:PORTABLE CODE ROUTINES
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/twinview/twinhelp/portable.c,v 1.2 1999/07/13 16:39:45 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "portable.h"






/***********************************

**

**  Private functions

**

***********************************/



/******************************** BYTE STREAM READING ROUTINES ******************************/



/***************************************************

*

* Reads the next WORD from the byte stream.

*

****************************************************/

WORD __far __pascal ReadWORD( BYTE __far * fpDataStream )

{

  WORD         wCounter;

  WORD         wValue;

  BYTE __far * BytePtr = (BYTE __far * ) &wValue;



  for( wCounter = 0; wCounter < sizeof(WORD); wCounter++ )

  {

    /* Save byte's value. */

    *BytePtr++ = *fpDataStream;



    /* Goto next byte. */

    fpDataStream = fpDataStream + 1;

  }



  /* Return value of WORD. */

  return( wValue );

}  





/***************************************************

*

* Reads the next DWORD from the byte stream.

*

****************************************************/

DWORD __far __pascal ReadDWORD( BYTE __far * fpDataStream )

{

  WORD         wCounter;

  DWORD        dwValue;

  BYTE __far * BytePtr = (BYTE __far * ) &dwValue;



  for( wCounter = 0; wCounter < sizeof(DWORD); wCounter++ )

  {

    /* Save byte's value. */

    *BytePtr++ = *fpDataStream;



    /* Goto next byte. */

    fpDataStream = fpDataStream + 1;

  }



  /* Return value of DWORD. */

  return( dwValue );

}  


/*------------------------- < Full Revision History > ----------------------
** $Log: portable.c,v $
** Revision 1.2  1999/07/13 16:39:45  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/


