/*--------------------------------------------------------------------------
**      rc.c                 Twin           From:  Twin/tools/rc
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	tools/rc/rc.c
**
**  Description:platform-independent entry points to resource compiler

**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/tools/rc/rc.c,v 1.2 1999/07/13 20:17:42 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <stdio.h>
#include <unistd.h>
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Resources.h"
#include "rc.h"
#include "define.h"
#include "restypes.h"

char in_name[512];
char out_name[512];
char export_name[512];
char cpp_module_name[512];
char libentry_name[256];
char tbl_name[256];
extern char include_path[];

unsigned alloc_size = 0;

void print_resources(void);

void icompile(void)
{
  init_resource_table(); /* Initialize (empty) resource table */
  include_init();        /* Initialize include stack */
  open_files();          /* Set up yyin, output file */
  yyparse();             /* Parse resource file */
  print_resources();     /* Print resources into C file */
  cleanup_resources();   /* Free allocated memory */
  clean_defines();
}

void init_resource_table(void)
{
  TYPEINFO *type_ptr;
  int i;

  CALLOC(resource_table, MAX_TYPES, TYPEINFO);
  type_ptr = resource_table;
  /* initialise the resource table */
  for (i = 0; i < MAX_TYPES; i++) {
    type_ptr->rcstypename = (char *)NULL;
    type_ptr->rcscount = 0;
    type_ptr->rcsinfo = (NAMEINFO *)NULL;
    type_ptr++;
  }
}

/*------------------------- < Full Revision History > ----------------------
** $Log: rc.c,v $
** Revision 1.2  1999/07/13 20:17:42  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/