/*--------------------------------------------------------------------------
**      Debug.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Debug.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Debug.h,v 1.3 1999/11/29 20:35:22 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#define TWIN_DBGINIT	0	/* initialize debugger entry point */
#define TWIN_DBGLOAD	1	/* load the twin debugger */
#define TWIN_DBGCALL	2	/* call the debugger */
#define TWIN_DBGADDR	3	/* retrieve symbolic name of address */
#define TWIN_DBGADDS	4	/* add symbol to symbol table */

typedef struct {
	char *symbol;
	void *address;
	int   flag;
} DBG_INFO;

extern void TWIN_DebuggerProc(int,int, void *);

/*------------------------- < Full Revision History > ----------------------
** $Log: Debug.h,v $
** Revision 1.3  1999/11/29 20:35:22  robf
** added debugger add symbol
**
** Revision 1.2  1999/07/09 21:55:39  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
