/*--------------------------------------------------------------------------
**      Driver.c                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Driver.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Driver.c,v 1.3 1999/07/09 21:55:40 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Driver.h"
#include "Log.h"

static TWINDRVSUBPROC *DrvEntryTab1[256];

TWINDRVSUBPROC *DrvConfigTab();
TWINDRVSUBPROC *DrvRegionsTab();
TWINDRVSUBPROC *DrvImagesTab();
TWINDRVSUBPROC *DrvGraphicsTab();
TWINDRVSUBPROC *DrvDCTab();
TWINDRVSUBPROC *DrvTextTab();
TWINDRVSUBPROC *DrvWindowsTab();
TWINDRVSUBPROC *DrvIPCTab();
TWINDRVSUBPROC *DrvCursorTab();
TWINDRVSUBPROC *DrvKeyboardTab();
TWINDRVSUBPROC *DrvColorsTab();
TWINDRVSUBPROC *DrvEventsTab();
TWINDRVSUBPROC *DrvWinsockTab();
TWINDRVSUBPROC *DrvPrintingTab();

TWINDRVSUBPROC **DriverBootstrap(void)
{
	DrvEntryTab1[DSUB_CONFIG] = (TWINDRVSUBPROC *)DrvConfigTab();
	DrvEntryTab1[DSUB_REGIONS] = (TWINDRVSUBPROC *)DrvRegionsTab();
	DrvEntryTab1[DSUB_IMAGES] = (TWINDRVSUBPROC *)DrvImagesTab();
	DrvEntryTab1[DSUB_GRAPHICS] = (TWINDRVSUBPROC *)DrvGraphicsTab();
	DrvEntryTab1[DSUB_DC] = (TWINDRVSUBPROC *)DrvDCTab();
	DrvEntryTab1[DSUB_TEXT] = (TWINDRVSUBPROC *)DrvTextTab();
	DrvEntryTab1[DSUB_WINDOWS] = (TWINDRVSUBPROC *)DrvWindowsTab();
	DrvEntryTab1[DSUB_IPC] = (TWINDRVSUBPROC *)DrvIPCTab();
	DrvEntryTab1[DSUB_CURSORS] = (TWINDRVSUBPROC *)DrvCursorTab();
	DrvEntryTab1[DSUB_KEYBOARD] = (TWINDRVSUBPROC *)DrvKeyboardTab();
	DrvEntryTab1[DSUB_COLORS] = (TWINDRVSUBPROC *)DrvColorsTab();
	DrvEntryTab1[DSUB_EVENTS] = (TWINDRVSUBPROC *)DrvEventsTab();
	DrvEntryTab1[DSUB_WINSOCK] = (TWINDRVSUBPROC *)DrvWinsockTab();
	DrvEntryTab1[DSUB_PRINTER] = (TWINDRVSUBPROC *)DrvPrintingTab();
        return DrvEntryTab1;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: Driver.c,v $
** Revision 1.3  1999/07/09 21:55:40  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
