/*--------------------------------------------------------------------------
**      GdiRegions.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/GdiRegions.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/GdiRegions.h,v 1.2 1999/07/09 21:55:41 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

 
#ifndef GdiRegions__h
#define GdiRegions__h

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "kerndef.h"
#include "ObjEngine.h"

DECLARE_HANDLE32(REGION32);

/* internal interface functions */
HRGN GdiCreateRegion(LPSTR);
BOOL GdiDeleteRgn(HRGN hRgn);
BOOL IsRegion(HRGN);
int AddRgnToUpdate(HWND,HRGN);
int AddRectToUpdate(HWND,const RECT *);
int SubtractRgnFromUpdate(HWND,HRGN);
int SubtractRectFromUpdate(HWND,const RECT *);
BOOL DestroyRgn(HRGN);
int SubtractRectFromRegion(HRGN, const LPRECT);
int UnionRectWithRegion(HRGN, const LPRECT);
int GetUpdateRgnEx(HWND,LPRECT,HRGN,BOOL);
REGION32 TWIN_InternalGetRegionData(HRGN);
int IntersectRectWithRegion(HRGN, const LPRECT);

/* Region info structure */
typedef struct tagREGIONINFO {
    OBJHEAD	ObjHead;		/* generic object header */
    REGION32	Rgn32;
} REGIONINFO;

typedef REGIONINFO *LPREGIONINFO;

#endif		/* GdiRegions_h */

/*------------------------- < Full Revision History > ----------------------
** $Log: GdiRegions.h,v $
** Revision 1.2  1999/07/09 21:55:41  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
