/*--------------------------------------------------------------------------
**      KrnAtoms.h                Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/KrnAtoms.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/KrnAtoms.h,v 1.2 1999/07/09 21:55:41 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef Atoms__h
#define Atoms__h


typedef unsigned long ATOMID;

typedef struct {
	ATOMID	q;		/* what a string 'hashes' to 	*/
	long   	idx;		/* index into data table	*/
	long	refcnt;		/* how many clients have it 	*/
	long	idsize;		/* space used by this slot	*/
} ATOMENTRY;
typedef ATOMENTRY *LPATOMENTRY;

typedef struct {
	ATOMENTRY 	*AtomTable;	/* pointer to table data 	*/
	char		*AtomData;	/* pointer to name data 	*/
	unsigned long	 TableSize;	/* number items in this table   */
	unsigned long	 DataSize;	/* space used by string data    */
	LPVOID		lpDrvData;
} ATOMTABLE;
typedef ATOMTABLE *LPATOMTABLE;

/* Prototypes for the additional atom APIs */
ATOM AddAtomEx(ATOMTABLE *,LPCSTR);
ATOM DeleteAtomEx(ATOMTABLE *,ATOM);
ATOM FindAtomEx(ATOMTABLE *,LPCSTR);
UINT GetAtomNameEx(ATOMTABLE *,ATOM,LPSTR,int);
ATOM GlobalAddAtomEx(ATOMTABLE *,LPCSTR);
ATOM GlobalDeleteAtomEx(ATOMTABLE *,ATOM);
ATOM GlobalFindAtomEx(ATOMTABLE *,LPCSTR);
UINT GlobalGetAtomNameEx(ATOMTABLE *,ATOM,LPSTR,int);
UINT LockAtom(ATOM);
UINT LockAtomEx(ATOMTABLE *,ATOM);
UINT GlobalLockAtom(ATOM);
UINT GlobalLockAtomEx(ATOMTABLE *,ATOM);

#endif /* Atoms__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: KrnAtoms.h,v $
** Revision 1.2  1999/07/09 21:55:41  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
