/*--------------------------------------------------------------------------
**      MetaGraphics.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/MetaGraphics.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/MetaGraphics.h,v 1.2 1999/07/09 21:55:43 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
 
#define META_STRUCT	((LPINTERNALMETAFILE)(hDC32->lpDrvData))
#define META_RECORD(x)	(DWORD)(META_STRUCT->lpfRecorder(META_STRUCT, (x)))

/*	Metafile Record Sizes (in words) */
#define MFRS_MOVETO	5
#define MFRS_POLY	4	/* POLYLINE, POLYGON; plus POINT list */
#define MFRS_RECTANGLE	7
#define MFRS_ROUNDRECT	9
#define MFRS_ARC	11	/* also CHORD, PIE */
#define MFRS_POLYPOLY	4	/* plus Count list, POINT list */
#define MFRS_FLOODFILL	7
#define MFRS_EXTFLOODFILL	8
#define MFRS_TEXTOUT	6	/* plus CHAR list */
#define MFRS_EXTTEXTOUT	7	/* plus CHAR list, RECT, DX list */
#define MFRS_BITBLT	10
#define MFRS_SETPIXEL	7
#define MFRS_SELECTOBJECT	4
#define MFRS_DELETEOBJECT	4
#define MFRS_REALIZEPALETTE	3
#define MFRS_SAVEDC	3
#define MFRS_RESTOREDC	4
#define MFRS_PATBLT	9

/*------------------------- < Full Revision History > ----------------------
** $Log: MetaGraphics.h,v $
** Revision 1.2  1999/07/09 21:55:43  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
