/*--------------------------------------------------------------------------
**      WIcon.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**
**      Icon header structures from "SDK Reference -- Volume 2", 
**      page 9-2, "Icon Resource File Format"
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/WIcon.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/WIcon.h,v 1.2 1999/07/09 21:55:45 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

struct tagICONFILEHEADER {
  WORD wReserved;         /* Always 0*/
  WORD wResourceType;     /* 1 = icon*/
  WORD wResourceCount;    /* Number of icons in the file*/
  };

typedef struct tagICONFILEHEADER ICONFILEHEADER;

struct tagICONFILERES {
    BYTE  bWidth;         /* Width of image*/
    BYTE  bHeight;        /* Height of image*/
    BYTE  bColorCount;    /* Number of colors in image (2, 8, or 16)*/
    BYTE  bReserved1;     /* Reserved*/
    WORD  wReserved2;
    WORD  wReserved3; 
    DWORD dwDIBSize;      /* Size of DIB for this image*/
    DWORD dwDIBOffset;    /* Offset to DIB for this image*/
  };

typedef struct tagICONFILERES ICONFILERES;

HANDLE ReadIcon(LPSTR szFileName);
HICON MakeIcon(HANDLE hDIB);


/*------------------------- < Full Revision History > ----------------------
** $Log: WIcon.h,v $
** Revision 1.2  1999/07/09 21:55:45  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
