/*--------------------------------------------------------------------------
**      WSprintf.c                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/WSprintf.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/WSprintf.c,v 1.3 2000/01/06 04:34:02 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <stdio.h>
#include <string.h>
#include <stdarg.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Log.h"

/**************************************************************************/
/*
 *   wsprintf buffer,format,args,...)
 *   wvsprintf(buffer,format,&args)
 */

/*VARARGS */
int
wsprintf(LPSTR buf, LPCSTR fmt, ...)
{
	va_list args;

	va_start(args, fmt);

	vsprintf(buf,fmt,args);
	va_end(args);
	return strlen(buf);
}

int
wvsprintf(LPSTR buffer, LPCSTR format, void *args)
{
#if defined(VA_LIST_TAKES_VOID_P)
	vsprintf(buffer,format, args);
#else
        *buffer = '\0';
        APISTR((LF_APISTUB, "wvsprintf cannot be implemented on this platform; a void * is not compatible with a va_list\n"));
#endif
	return strlen(buffer);
}

/*------------------------- < Full Revision History > ----------------------
** $Log: WSprintf.c,v $
** Revision 1.3  2000/01/06 04:34:02  jwhite
** Revised to support compilation on Alpha.
**
** Revision 1.2  1999/07/09 21:55:45  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
