/*--------------------------------------------------------------------------
**      WinConfig.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/WinConfig.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/WinConfig.h,v 1.3 2000/01/28 07:57:36 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/ 
 
char *GetTwinFilename(void);
char *GetTwinString(int, char *,int );
unsigned long GetTwinInt(int);
char *GetEnv(const char *env);


/* WinConfig Sections definitions */
#define WCS_BOOT        0
#define WCS_WINDOWS     1
/*#define WCS_XDOS        2 */
/*#define WCS_COMMDLG     3 */
#define WCS_ENV      	4

/* WinConfig Parameter definitions */
#define WCP_DISPLAY     1		/* move to driver, use getenv */
/*#define WCP_FATAL	2 */
/*#define WCP_CONTROL	3 */
#define	WCP_WINDOWS	4
#define	WCP_TEMP	5
#define	WCP_OPENPATH	6
/*#define	WCP_TASKING	7*/

#define	WCP_FONTFACE	 10
#define	WCP_FONTSIZE	 11
#define	WCP_FONTBOLD	 12
#define WCP_ICONFONTFACE 13
#define WCP_ICONFONTSIZE 14
#define WCP_MENUSIZE	 15
#define WCP_MENUBOLD	 16
#define WCP_DLGSIZE	 17
#define WCP_DLGBOLD	 18

typedef struct twinrc {
	int     parameter;
	int	opcode;
	int     section;
	char   *lpszkeyname;
	char   *lpszdefault;
	char   *lpszenviron;
	char   *lpszstring;
} TWIN_CONFIG;

/*------------------------- < Full Revision History > ----------------------
** $Log: WinConfig.h,v $
** Revision 1.3  2000/01/28 07:57:36  robf
** removed dead entries
**
** Revision 1.2  1999/07/09 21:55:45  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
