/*--------------------------------------------------------------------------
**      compat.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/compat.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/compat.h,v 1.3 1999/07/09 21:55:47 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

 /*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#define WD_DEBUGGER     0   /* load the the debugger 		*/
#define WD_NODITHERPURE 1   /* how to handle dithering      	*/
#define WD_COLORMAP	2   /* allocate private colormap    	*/
#define WD_HIRESFONTS 	3   /* use hi-res fonts, not low 	*/
#define WD_VGAMODE	4   /* default to 640x480x16colors  	*/
#define WD_NOTHREADS	5   /* disallow threads 		*/
#define WD_FATALERR     6   /* break into debugger 		*/
#define WD_HANDLERR	7   /* break on handleobj errors 	*/
#define WD_APISTUBS     8   /* break, NO msgbox for STUB 	*/
#define WD_NOPAGING	9   /* disable demand page loading  	*/
#define WD_NOCHANGECASE 10  /* don't change case of filenames 	*/
#define WD_MAPCURDIR	11  /* xdos map current directory   	*/
#define WD_COLORMASK    12  /* use rgb masks for mono convert   */

#define WD_FAILERR    13  /* break in logstr() on FAIL error    */
#define WD_WARNERR    14  /* break in logstr() on WARN error    */
#define WD_FIXERR     15  /* break in logstr() on FIXME error   */
#define WD_STUBERR    16  /* break in logstr() on STUB error    */
#define WD_SYNCMODE   17  /* set display to syncronouse mode    */
#define WD_LASTVALUE  17

int	GetConfigOption(int);

/*------------------------- < Full Revision History > ----------------------
** $Log: compat.h,v $
** Revision 1.3  1999/07/09 21:55:47  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
